/*
DESCRIPTION:
Any functions that are used internally by the use-case
*/
package mcuorderitem

import (
	e "simrs-vx/internal/domain/main-entities/mcu-order-item"
)

func setData[T *e.CreateDto | *e.UpdateDto](input T, data *e.McuOrderItem) {
	var inputSrc *e.CreateDto
	if inputT, ok := any(input).(*e.CreateDto); ok {
		inputSrc = inputT
	} else {
		inputTemp := any(input).(*e.UpdateDto)
		inputSrc = &inputTemp.CreateDto
	}

	data.McuOrder_Id = inputSrc.McuOrder_Id
	data.McuSrc_Code = inputSrc.McuSrc_Code
	data.Result = inputSrc.Result
	data.Status_Code = inputSrc.Status_Code
	data.ExaminationDate = inputSrc.ExaminationDate
}
